Search Request Suggestions
curl --request GET \
--url https://api.promptlayer.com/api/public/v2/requests/suggestions \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.promptlayer.com/api/public/v2/requests/suggestions"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.promptlayer.com/api/public/v2/requests/suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"values": [
"production",
"staging",
"prod-v2"
]
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"success": false,
"message": "Rate limit exceeded. Please retry later."
}Tracking
Search Request Suggestions
GET
/
api
/
public
/
v2
/
requests
/
suggestions
Search Request Suggestions
Get autocomplete suggestions for request log fields. Use this endpoint to power search UIs, discover values in your logs, or scope suggestions with the same filters used by request-log search.
Behavior Notes
- This endpoint is rate limited to 10 requests per minute.
filter_groupuses the same JSON-encoded structured filter syntax as Search Request Logs.- Fields that return nested values require
metadata_keyto identify the nested key.
Related
Authorizations
Query Parameters
Request log field to get suggestions for.
Available options:
engine, provider_type, prompt_id, prompt, tags, metadata_keys, status, tool_names, output_keys, input_variable_keys, metadata_values, output_values, input_variable_values Case-insensitive prefix to filter suggestions.
Required when field is metadata_values, output_values, or input_variable_values. Specifies which key to get values for.
Filter suggestions to a specific prompt template (only used when field is prompt).
Required range:
x >= 1JSON-encoded filter group to scope suggestions to matching requests.
Was this page helpful?

